
QGIS Application - Bug report #18616

Crash following install and QGIS 3.0.1 will not open

2018-04-03 03:28 PM - Sophie Nunn

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 26504

Description

User Feedback

Report Details

Crash ID: 35cfcabe170efbea39a5fd352599743230dd1e9b

Stack Trace

RtlFreeHeap :

HeapFree :

free :

DllUnregisterServer :

DllUnregisterServer :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

DllGetClassObjectWOW :

DllGetClassObjectWOW :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

ObjectStublessClient6 :

CoCreateInstanceEx :

ObjectStublessClient32 :

SHParseDisplayName :

Ordinal866 :

ILSaveToStream :

ShellExecuteExW :

ShellExecuteExW :

ShellExecuteExW :

Ordinal860 :

ShellExecuteExW :

ExtractIconExW :

Ordinal865 :

Ordinal865 :

QWidgetPrivate::registerDropSite :

QInputDialog::getInteger :

QgsDataCollectionItem::iconDir :

QgsDirectoryItem::icon :

QgsBrowserModel::data :

QSortFilterProxyModel::data :

QModelIndex::data :

QStyledItemDelegate::initStyleOption :

QStyledItemDelegate::sizeHint :

QTreeView::indexRowSizeHint :
QTreeViewPrivate::itemHeight :

QTreeViewPrivate::updateScrollBars :

QTreeView::updateGeometries :

QAbstractItemView::doItemsLayout :

QTreeView::doItemsLayout :

QTreeView::sizeHintForColumn :

QHeaderView::resizeSections :

QHeaderView::sectionPosition :

QHeaderView::sectionViewportPosition :

QHeaderView::resizeSection :

QHeaderView::setStretchLastSection :

QgsBrowserDockWidget::showEvent :

QWidget::event :

QDockWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::show_helper :

QWidgetPrivate::showChildren :

QWidgetPrivate::show_helper :

QWidget::setVisible :

QgisApp::QgisApp :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.1-Girona

QGIS code revision: commit:a86bec25eb

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Duplicates QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2018-09-23 02:52 PM - Jürgen Fischer

- Related to Bug report #19759: crash in browser added

#2 - 2018-09-23 02:59 PM - Jürgen Fischer

- Duplicates Bug report #18260: qgis 3 crashes at start added

#3 - 2018-09-23 02:59 PM - Jürgen Fischer

- Related to deleted (Bug report #19759: crash in browser)

#4 - 2018-09-23 02:59 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed

2024-04-27 2/2


